Upgrade

Upgrades a license by exchanging a source serial for a target serial: current_serial is the source, upgrade_serial is the target. On success the source license is deleted and the target license becomes available to activate — one license in, one license out.

See Upgrades for which sources can be upgraded into which targets, and the Upgrade Licenses tutorial for a C++ walkthrough.

Warning: If it succeeds, deletes the current license.

POST https://api.keyzy.io/v2/licenses/upgrade

Arguments

ParameterDescription
app_idAn app_id that has read permission
api_keyAn api_key that has read permission
current_serialCurrent license’s serial number
upgrade_serialUpgrade license’s serial number

Returns

Success

{
  "message": "Upgrade license is ready to use."
}

Errors

You are not authorized

{
  "error": {
    "message": "You are not authorized!",
    "status_code": 401
  }
}

Current license does not exist!

{
  "error": {
    "message": "Current license does not exist!",
    "status_code": 404
  }
}

Upgrade license does not exist!

{
  "error": {
    "message": "Upgrade license does not exist!",
    "status_code": 404
  }
}

Upgrade license does not match for upgrade with current license!

{
  "error": {
    "message": "Upgrade license does not match for upgrade with current license!",
    "status_code": 422
  }
}